:root {
  --corSidebar: #242424;
  --tamSidebar: 80px;
  --alturaPainel: 45px;
}

.b_botoes {
  --botaoW: 41px;
  --botaoH: 41px;

  min-height: var(--botaoH);
  width: var(--botaoW);
  height: var(--botaoW);
  margin: 3px;
  color: #fff;
  background-color: #202020;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #000;
}

.bativo {
  background-color: #555;
}

.sidebar:not(.naoPermitido) .b_botoes:hover {
  background: #555;
}


.b_botoes img {
  margin: 0;
  padding: 0;
  width: calc(var(--botaoW) - 7px);
}


.botoes {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.sidebar {
  width: var(--tamSidebar);
  min-width: var(--tamSidebar);
  min-height: calc(100% + 45px);
  min-height: 100%;
  background-color: var(--corSidebar);
  color: #fff;
  /* position: fixed; */
  margin: 0;
  padding: 9px 0;
  overflow-y: auto;
  overflow-x: hidden;
  box-shadow: 1px 1px 10px #333;

  transition: transform 1s ease;
  position: sticky;
  top: 0;
  left: 0;
  z-index: 8;
}

.sidebar.naoPermitido,
.sidebar.naoPermitido * {
  /* pointer-events: none; */
  cursor: not-allowed;

}



.setaSidebar {
  box-shadow: 1px 1px 10px #333;
  padding: 8px;
  cursor: pointer;
  z-index: 1;
  background-color: var(--corSidebar);
  color: rgb(237, 237, 237);
  position: absolute;
  position: sticky;
  left: var(--tamSidebar);
  top: 86px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  font: bold 15px Arial, sans-serif;
  transform: translate(-30%, -50%);
  transition: transform 1s ease;
  border-radius: 0 8px 8px 0;
}

.setaSidebar:hover {
  background-color: #303030;
}

.escondeSidebar {
  transform: translateX(calc(-1* var(--tamSidebar)));
}

.escondeSidebar~.setaSidebar {
  transform: translate(calc(-1* var(--tamSidebar) - 30%), -50%);
}

.sidebar~#content {
  transition: transform 1s ease;
}

.escondeSidebar~#content {
  transform: translateX(calc(-1* var(--tamSidebar)));
}




/* 

#topo_painel_wrapper {
  transform: translateX(calc(var(--tamSidebar)/2));
  max-width: 100px;
  
  em redimensionacv2 transition: transform 1s ease;



}

#topo_painel_wrapper.deslocaPainel {
  transform: translateX(0px);

} */

.sidebar>ul {
  list-style: none;
  padding: 0;
  margin: 0;
}


.sb-menu-item>a,
.sb-menu-item-visivel>a {

  display: block;
  margin-top: 10px;
  padding: 2px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 11px;
  font-weight: bold;
  text-decoration: none;
  color: #fff;
}

.sidebar:not(.naoPermitido) .sb-menu-item>a:hover {
  background-color: #444;
}

.sb-sub-menu-visivel {
  list-style: none;
}


.sb-menu-item .ativo {
  background-color: #000;
}

.sb-sub-menu {
  /* padding-left: 20px; */
  display: none;
  list-style: none;
  margin: 0;
  padding: 0;
}

.sb-sub-menu.show {
  display: block;
}

.sb-sub-menu li>a,
.sb-sub-menu-visivel li>a {
  display: block;
  padding: 5px;
  font-size: 12px;
  text-decoration: none;
  color: #fff;
}

.sb-sub-menu li>a:hover,
.sb-sub-menu-visivel li>a:hover {
  background-color: #444;
}



/* Estilizando o scroll da .sidebar */
.sidebar::-webkit-scrollbar {
  width: 8px;
}

.sidebar::-webkit-scrollbar-track {
  background-color: #303030;
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: #adadad;
  border-radius: 7px;
}

.sidebar::-webkit-scrollbar-thumb:hover {
  background-color: #f1f1f1;
}